Subject: Re: linux-next: manual merge of the ttydev tree with the usb.current tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 10 Jul 2009 10:06:25 +1000

Hi Greg,

On Thu, 9 Jul 2009 16:19:56 -0700 Greg KH <[email-masked]> wrote:
>
> On Thu, Jul 09, 2009 at 01:04:30PM +1000, Stephen Rothwell wrote:
> > 
> > Today's linux-next merge of the ttydev tree got conflicts in
> > drivers/usb/serial/generic.c and include/linux/usb/serial.h between commit
> > d8298d029cdd5d944c3d8369d2862de94d12ae4b ("USB: serial: regression fix to
> > move sysrq from hot path") from the usb.current tree and commit
> > cf8456fe1aaed1776bf4c26c18adef76e472b9fa ("tty-usb-fix-perf-regression")
> > from the ttydev tree.  Also between commit
> > a2170a444ef9a89a7ec9acc72d79e5db433effc4 ("USB: serial: optimize sysrq
> > function calls") from the usb.current tree and commit
> > bfce6b042a47c9cdd55c7cd231e58710ec1fa4e1 ("tty-usb-fix-kref-leak") from
> > the ttydev tree.
> > 
> > The first two commits above seem to be trying to do the same thing (or
> > similar) so I have used the ttydev version for now.
> > 
> > I fixed them up (see below) and can carry the fixes as necessary.
> 
> Thanks for the fix, I don't know what happened in the tty tree, I've not
> touched the USB tree for a week or so now...

In case you missed it, Alan has submitted the above two ttydev patches to
Linus.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/